wsgen(1)

NAME
wsgen - JAX-WS 2.0 Beta

    The wsgen tool generates JAX-WS portable artifacts used in JAX-WS web services. The tool reads a web service endpoint implementation class (SEI) and generates all the required artifacts for web service deployment, and invocation.

SYNOPSIS

wsgen [options] <SEI>

OPTIONS

The following table lists the wsgen options.

Table 1-1 wsgen Options

  Ant task

An Ant task for the wsgen tool is provided along with the tool. The attributes and elements supported by the Ant task are listed below:

    <wsgen
         sei="..."
         destdir="directory for generated class files"
         classpath="classpath" | cp="classpath"
         resourcedestdir="directory for generated resource files such as WSDLs"
         sourcedestdir="directory for generated source files"
         keep="true|false"
         verbose="true|false"
         genwsdl="true|false"
         protocol="soap1.1|Xsoap1.2"
         servicename="..."
         portname="...">
         extension="true|false"
         <classpath refid="..."/>
     </wsgen>

The classpath attribute is a path-like structure @
http://ant.apache.org/manual/using.html#path and can also be set via nested <classpath> elements. Before this task can be used, a <taskdef> element needs to be added to the project as given below:

  <taskdef name="wsgen" classname="com.sun.tools.ws.ant.WsGen">

      <classpath path="jaxws.classpath"/>

  </taskdef>

where jaxws.classpath is a reference to a path-like structure @
http://ant.apache.org/manual/using.html#path, defined elsewhere in the build environment, and contains the list of classes required by the JAX-WS tools.

Example

<wsgen
      resourcedestdir="${wsdl.dir}"
      sei="fromjava.server.AddNumbersImpl">
      <classpath refid="compile.classpath"/>
</wsgen>